Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## teamdev.jxdesktop.win32
Class WindowsUIElement

    java.lang.Object
      teamdev.jxdesktop.win32.WindowsUIElement

All Implemented Interfaces:
  Screenable, UIElement

public class WindowsUIElement
extends java.lang.Object
implements UIElement

Implementation of the `UIElement` interface for the Windows OS.

Constructor Summary
`WindowsUIElement(teamdev.jxdesktop.win32.ui.Wnd window)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.awt.Rectangle` | `getBounds()` Returns the dimensions of the bounding rectangle of the specified screenable object.
`java.util.List` | `getChildren()` Returns child elements.
`Graphics` | `getGraphics()` Creates a graphics context for this object.
`java.awt.image.BufferedImage` | `getImage()` Returns the image that represents the screen shot of the current object.
`UIElement` | `getParent()` Returns the parent UI element.
`int` | `hashCode()`
`boolean` | `isVisible()` Returns `true` if this element is visible, otherwise `false`.
`java.lang.String` | `toString()`
`void` | `update()` Updates and redraws the UI element.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WindowsUIElement

    public WindowsUIElement(teamdev.jxdesktop.win32.ui.Wnd window)

Method Detail

### getChildren

    public java.util.List getChildren()

  Description copied from interface: `UIElement`
  Returns child elements.

  Specified by:
    `getChildren` in interface `UIElement`

### getParent

    public UIElement getParent()

  Description copied from interface: `UIElement`
  Returns the parent UI element.

  Specified by:
    `getParent` in interface `UIElement`

### update

    public void update()

  Description copied from interface: `UIElement`
  Updates and redraws the UI element.

  Specified by:
    `update` in interface `UIElement`

### getGraphics

    public Graphics getGraphics()

  Description copied from interface: `UIElement`
  Creates a graphics context for this object.

  Specified by:
    `getGraphics` in interface `UIElement`
  Returns:
    a graphics context for this object

### isVisible

    public boolean isVisible()

  Description copied from interface: `UIElement`
  Returns `true` if this element is visible, otherwise `false`.

  Specified by:
    `isVisible` in interface `UIElement`

### toString

    public java.lang.String toString()

### getBounds

    public java.awt.Rectangle getBounds()

  Description copied from interface: `Screenable`
  Returns the dimensions of the bounding rectangle of the specified screenable object. The dimensions are given in screen coordinates that are relative to the upper-left corner of the screen.

  Specified by:
    `getBounds` in interface `Screenable`
  Returns:
    the dimensions of the bounding rectangle of the specified screenable object

### getImage

    public java.awt.image.BufferedImage getImage()
                                          throws java.awt.IllegalComponentStateException

  Description copied from interface: `Screenable`
  Returns the image that represents the screen shot of the current object.

  Specified by:
    `getImage` in interface `Screenable`
  Returns:
    the image that represents the screen shot of the current object
  Throws:
    `java.awt.IllegalComponentStateException` - if an error occurs during creation of the image

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD